### Method

# Qrtr Bus wait_for_node

since: 1.0

#### Declaration [src]

    void
    qrtr_bus_wait_for_node (
      QrtrBus* self,
      guint32 node_id,
      guint timeout_ms,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously waits for the node with ID `node_id`.

When the operation is finished `callback` will be called. You can then call `qrtr_bus_wait_for_node_finish()` to get the result of the operation.

Available since: 1.0

This method completes asynchronously. Use `qrtr_bus_wait_for_node_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`node_id`

  Type: `guint32`

  The QRTR bus node ID to lookup.

`timeout_ms`

  Type: `guint`

  The timeout, in milliseconds, to wait for the node to appear in the bus.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.